# Event Insights

Sport event insights related endpoints

## Get event insights

> Returns available insights for the given event\
> \
> {% hint style="info" %}\
> \
> \## Get insights example\
> \
> \
> In this example we return insights for the given soccer event.\
> \
> \`\`\`bash\
> $ curl --request GET \\\
> &#x20; \--url '<http://api.vaix.ai/api/sports/insights?event\\_id=sr%3Amatch%3A42948647'\\>
> \`\`\`\
> \
> {% endhint %}\
> \
> \
> {% hint style="info" %}\
> \
> \## Supported sports and leagues\
> \
> \
> The endpoint currently supports insights for \`Soccer\` events. Also, it supports\
> insights for the \`NBA\`, \`MLB\`, \`NFL\` and \`NHL\` leagues.\
> \
> {% endhint %}\ <br>

````json
{"openapi":"3.0.1","info":{"title":"","version":"0.1.0"},"tags":[{"description":"Sport event insights related endpoints","name":"Event Insights"}],"servers":[{"description":"Production API","url":"https://api.vaix.ai"},{"description":"Staging (integration) API","url":"https://staging-api.vaix.ai"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"Insights":{"additionalProperties":{"description":"Insights for the event","items":{"description":"Event insights","properties":{"api_source":{"description":"The API used to fetch the insight","type":"string"},"content":{"description":"The actual sport insight","type":"string"},"insight_type":{"description":"The type of the insight","type":"string"},"market_type_id":{"description":"A list of `market_type_ids` that are corellated with the insight","type":"string"}},"type":"object"},"type":"array"},"description":"Insights obect for the given events","properties":{},"type":"object"},"Error":{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},"Errors":{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"},"UnprocessableEntityError":{"oneOf":[{"additionalProperties":false,"description":"The generic API's error response","properties":{"error":{"description":"Description of the error","type":"string"},"status":{"description":"response status","type":"string"}},"type":"object"},{"additionalProperties":false,"description":"The generic API's errors response","properties":{"errors":{"description":"An object with the request errors","type":"object"}},"type":"object"}]}}},"paths":{"/api/sports/insights":{"get":{"description":"Returns available insights for the given event\n\n{% hint style=\"info\" %}\n\n## Get insights example\n\n\nIn this example we return insights for the given soccer event.\n\n```bash\n$ curl --request GET \\\n  --url 'http://api.vaix.ai/api/sports/insights?event_id=sr%3Amatch%3A42948647'\n```\n\n{% endhint %}\n\n\n{% hint style=\"info\" %}\n\n## Supported sports and leagues\n\n\nThe endpoint currently supports insights for `Soccer` events. Also, it supports\ninsights for the `NBA`, `MLB`, `NFL` and `NHL` leagues.\n\n{% endhint %}\n\n","operationId":"get_events_insights","parameters":[{"description":"Custom client header, the value should be the name of the group the user belongs to","in":"header","name":"x-vaix-client-id","required":true,"schema":{"type":"string"}},{"description":"Authentication method to be used, supported values [`vaix`, `iam`]. Defaults to `vaix`","in":"header","name":"x-vaix-authentication-method","required":false,"schema":{"type":"string"}},{"description":"The events for which we want the insights","in":"query","name":"event_ids","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":false,"description":"API response","properties":{"data":{"$ref":"#/components/schemas/Insights"},"status":{"description":"The status of the request","enum":["success","error"],"type":"string"}},"type":"object"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Bad Request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Forbidden"},"406":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Not Acceptable"},"413":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Request Entity Too Large"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntityError"}}},"description":"Unprocessable Entity"},"425":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Errors"}}},"description":"Too Early"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Internal Server Error"}},"summary":"Get event insights","tags":["Event Insights"]}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/personalization/api-reference/sports/event-insights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
